Package org.apache.solr.client.solrj.request

# Class CollectionAdminRequest.Backup

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest
org.apache.solr.client.solrj.request.CollectionAdminRequest.Backup

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  `CollectionAdminRequest<T extends CollectionAdminResponse>`

public static class CollectionAdminRequest.Backup extends CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionProp, CollectionAdminRequest.ColStatus, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateCategoryRoutedAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.CreateTimeRoutedAlias, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteBackup, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.DimensionalRoutedAlias, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.InstallShard, CollectionAdminRequest.List, CollectionAdminRequest.ListAliases, CollectionAdminRequest.ListBackup, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MockCollTask, CollectionAdminRequest.Modify, CollectionAdminRequest.MoveReplica, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.ReindexCollection, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.Rename, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestApiDistributedProcessing, CollectionAdminRequest.RequestApiDistributedProcessingResponse, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.RoutedAliasAdminRequest, CollectionAdminRequest.SetAliasProperty, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`backupConfigset`
`protected Optional<String>`
`commitName`
`protected Properties`
`extraProperties`
`protected boolean`
`incremental`
`protected Optional<String>`
`indexBackupStrategy`
`protected String`
`location`
`protected Optional<Integer>`
`maxNumBackupPoints`
`protected final String`
`name`
`protected Optional<String>`
`repositoryName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

`collection, followAliases`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId, waitForFinalState`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, MODIFIABLE_COLLECTION_PROPERTIES, PROPERTY_PREFIX`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`Backup(String collection, String name)`

## Method Summary

Modifier and Type
Method
Description
`Optional<String>`
`getCommitName()`
`Optional<String>`
`getIndexBackupStrategy()`
`String`
`getLocation()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`Optional<String>`
`getRepositoryName()`
`CollectionAdminRequest.Backup`
`setBackupConfigset(boolean backupConfigset)`
Indicates weather the Backup operation should also backup the configset files (such as schema.xml, solrconfig.xml.
`CollectionAdminRequest.Backup`
`setCommitName(String commitName)`
`CollectionAdminRequest.Backup`
`setExtraProperties(Properties extraProperties)`
`CollectionAdminRequest.Backup`
`setIncremental(boolean incremental)`
Deprecated.
`CollectionAdminRequest.Backup`
`setIndexBackupStrategy(String indexBackupStrategy)`
`CollectionAdminRequest.Backup`
`setLocation(String location)`
`CollectionAdminRequest.Backup`
`setMaxNumberBackupPoints(int maxNumBackupPoints)`
Specifies the maximum number of backup points to keep at the backup location.
`CollectionAdminRequest.Backup`
`setRepositoryName(String repositoryName)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

`getCollectionName, setFollowAliases`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync, setAsyncId, setWaitForFinalState`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, collectionStatus, collectionStatuses, createAlias, createCategoryRoutedAlias, createCollection, createCollection, createCollection, createCollectionWithImplicitRouter, createCollectionWithImplicitRouter, createDimensionalRoutedAlias, createShard, createTimeRoutedAlias, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteBackupById, deleteBackupByRecency, deleteBackupPurgeUnusedFiles, deleteCollection, deleteNode, deleteReplica, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getOverseerStatus, installDataToShard, installDataToShard, listBackup, listCollections, migrateData, mockCollTask, modifyCollection, moveReplica, propagateBasicAuthCreds, rebalanceLeaders, reindexCollection, reloadCollection, removeRole, renameCollection, requestStatus, requiresCollection, restoreCollection, setAliasProperty, setClusterProperty, setCollectionProperty, splitShard, toString, waitForAsyncRequest, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Field Details

### name

protected final String name

### repositoryName

protected Optional<String> repositoryName

### location

protected String location

### commitName

protected Optional<String> commitName

### indexBackupStrategy

protected Optional<String> indexBackupStrategy

### incremental

protected boolean incremental

### maxNumBackupPoints

protected Optional<Integer> maxNumBackupPoints

### backupConfigset

protected boolean backupConfigset

### extraProperties

protected Properties extraProperties

## Constructor Details

### Backup

public Backup(String collection, String name)

## Method Details

### getLocation

public String getLocation()

### setLocation

public CollectionAdminRequest.Backup setLocation(String location)

### getRepositoryName

public Optional<String> getRepositoryName()

### setRepositoryName

public CollectionAdminRequest.Backup setRepositoryName(String repositoryName)

### getCommitName

public Optional<String> getCommitName()

### setCommitName

public CollectionAdminRequest.Backup setCommitName(String commitName)

### getIndexBackupStrategy

public Optional<String> getIndexBackupStrategy()

### setIndexBackupStrategy

public CollectionAdminRequest.Backup setIndexBackupStrategy(String indexBackupStrategy)

### setIncremental

@Deprecated public CollectionAdminRequest.Backup setIncremental(boolean incremental)
Deprecated.
Specifies the backup method to use: the deprecated 'full-snapshot' format, or the current 'incremental' format.

Defaults to 'true' if unspecified.

Incremental backups are almost always preferable to the deprecated 'full-snapshot' format, as incremental backups can take advantage of previously backed-up files and will only upload those that aren't already stored in the repository - saving lots of time and network bandwidth. The older 'full-snapshot' format should only be used by experts with a particular reason to do so.

Parameters:
  `incremental` - true to use incremental backups, false otherwise.

### setMaxNumberBackupPoints

public CollectionAdminRequest.Backup setMaxNumberBackupPoints(int maxNumBackupPoints)
Specifies the maximum number of backup points to keep at the backup location.

If the current backup causes the number of stored backup points to exceed this value, the oldest backup points are cleaned up so that only `#maxNumBackupPoints` are retained.

This parameter is ignored if the request uses a non-incremental backup.

Parameters:
  `maxNumBackupPoints` - the number of backup points to retain after the current backup

### setBackupConfigset

public CollectionAdminRequest.Backup setBackupConfigset(boolean backupConfigset)
Indicates weather the Backup operation should also backup the configset files (such as schema.xml, solrconfig.xml. etc).

Note that the configset is needed to restore the collection, so only set this to false if you know the cluster will have the configset available before restoring.

Parameters:
  `backupConfigset` - `true` if you want to backup configsets (default). `false` to skip configset files.
Returns:
  `this` builder

### setExtraProperties

public CollectionAdminRequest.Backup setExtraProperties(Properties extraProperties)

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`